| All Verbs | /RestApi/Sitefinity/Analytics/GetAnalyticsAccounts | ||
|---|---|---|---|
| All Verbs | /RestApi/GetAnalyticsAccounts |
export class GetAnalyticsAccountsMessage
{
public SiteId: string;
public constructor(init?: Partial<GetAnalyticsAccountsMessage>) { (Object as any).assign(this, init); }
}
// @DataContract
export class AnalyticsAccountInfo implements IGoogleAnalyticsProviderConfiguration
{
// @DataMember(Name="id")
public id: string;
// @DataMember(Name="accountId")
public accountId: string;
// @DataMember(Name="name")
public name: string;
// @DataMember(Name="webPropertyId")
public webPropertyId: string;
public constructor(init?: Partial<AnalyticsAccountInfo>) { (Object as any).assign(this, init); }
}
export class GetAnalyticsAccountsData
{
public Accounts: AnalyticsAccountInfo[];
public SelectedAccount: string;
public SelectedProfileId: string;
public constructor(init?: Partial<GetAnalyticsAccountsData>) { (Object as any).assign(this, init); }
}
TypeScript GetAnalyticsAccountsMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetAnalyticsAccounts HTTP/1.1
Host: www.asg.com.au
Accept: application/xml
Content-Type: application/xml
Content-Length: length
<GetAnalyticsAccountsMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<SiteId>00000000-0000-0000-0000-000000000000</SiteId>
</GetAnalyticsAccountsMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<GetAnalyticsAccountsData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
<Accounts xmlns:d2p1="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Core.Domain.Model">
<d2p1:AnalyticsAccountInfo>
<d2p1:accountId>String</d2p1:accountId>
<d2p1:id>String</d2p1:id>
<d2p1:name>String</d2p1:name>
<d2p1:webPropertyId>String</d2p1:webPropertyId>
</d2p1:AnalyticsAccountInfo>
</Accounts>
<SelectedAccount>String</SelectedAccount>
<SelectedProfileId>String</SelectedProfileId>
</GetAnalyticsAccountsData>